apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: reactbin
  namespace: reactbin
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: "52m"
spec:
  ingressClassName: nginx-public
  tls:
    - hosts:
        - reactbin.juggalol.com
      secretName: reactbin-tls
  rules:
    - host: reactbin.juggalol.com
      http:
        paths:
          - path: /api/
            pathType: Prefix
            backend:
              service:
                name: api
                port:
                  number: 8000
          - path: /
            pathType: Prefix
            backend:
              service:
                name: ui
                port:
                  number: 8080